View Issue Details

IDProjectCategoryView StatusLast Update
0004202SymmetricDSBugpublic2020-01-02 09:42
ReporternrichardsonAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.3 
Target Version3.11.3Fixed in Version3.11.3 
Summary0004202: Oracle Decimal precision can contain 40 digits after the decimal but sync only sends 39
DescriptionOn an Oracle table containing a NUMBER field with no precision defined, Oracle allows the precision of up to 39 or 40 digits after the decimal even though the field can only be specifically created as NUMBER(38,0) max. The default parameter oracle.template.precision is *,38 which will truncate / round values with 39 or 40 digits of precision to 38 digits. Changing this parameter to *,40 still only sends 39 digits to the target even though the triggers all reflect cast(... number(*,40)).
Steps To ReproduceUpdate parameter to *,40
Create an Oracle table with a NUMBER field, insert a row with a value of 0.1666666666666666666666666666666666666667
Compare the target value, should see one less digit 0.166666666666666666666666666666666666667
Additional InformationTried to update the parameter to *,41 and still reduces to 39 digits
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 d1203778

2019-12-18 09:51:36

admin

Details Diff
0004202: Handle 39 and 40 digit numbers on Oracle
0004202
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2019-12-12 12:14 nrichardson New Issue
2019-12-12 12:15 nrichardson Category Improvement => Bug
2019-12-18 09:51 elong Assigned To => elong
2019-12-18 09:51 elong Status new => assigned
2019-12-18 09:52 elong Status assigned => resolved
2019-12-18 09:52 elong Resolution open => fixed
2019-12-18 09:52 elong Fixed in Version => 3.11.3
2019-12-18 09:52 elong Target Version => 3.11.3
2019-12-18 10:00 admin Changeset attached => SymmetricDS 3.11 d1203778
2020-01-02 09:42 admin Status resolved => closed